package bitsUnited;

/** 
  Die Klasse BodyObject ordnet jedem Player seinen Ausdauerzustand,
  seine Geschwindigkeit, Kopfwinkel und Laufrichtung.
  
  $Id: BodyObject.java,v 1.8 2002/07/07 10:05:46 dd Exp $
  $Log: BodyObject.java,v $
  Revision 1.8  2002/07/07 10:05:46  dd
  *** empty log message ***

  Revision 1.7  2002/07/02 23:47:27  ju
  package von robocop in bitsUnited umbenannt; mehr nicht...

  Revision 1.6  2002/06/26 14:24:56  mj
  Konstruktor um timeStamp erweitert + Methode um diese zu liefern

  Revision 1.5  2002/06/23 21:40:34  mj
  inzwischen unnoetig gewordenes wegrationalisiert

  Revision 1.4  2002/06/20 16:06:42  dd
  Stand nach unserem "Get-together" Treffen

  Revision 1.3  2002/06/18 23:12:02  as
  Nur Kleinigkeiten gendert.

  Revision 1.2  2002/06/18 14:52:14  mj
  no message

  Revision 1.1  2002/06/09 23:41:40  as
  no message

  Revision 1.3  2002/06/09 12:21:52  dd
  Fahnenumrechnung in RelativFahne eingebaut

   Revision 1.2  2002/05/31 18:20:09  dd
   Weltmodell implementiert und RelativFieldObjects angepasst.
 
   Build 1.1  2002/06/04 13:51:34  dd
   Erste Version
* @author Monika Juhasz (mj)
* @author Alexej Swerdlow (as)

 /**
  $Id: BodyObject.java,v 1.8 2002/07/07 10:05:46 dd Exp $
  $Log: BodyObject.java,v $
  Revision 1.8  2002/07/07 10:05:46  dd
  *** empty log message ***

  Revision 1.7  2002/07/02 23:47:27  ju
  package von robocop in bitsUnited umbenannt; mehr nicht...

  Revision 1.6  2002/06/26 14:24:56  mj
  Konstruktor um timeStamp erweitert + Methode um diese zu liefern

  Revision 1.5  2002/06/23 21:40:34  mj
  inzwischen unnoetig gewordenes wegrationalisiert

  Revision 1.4  2002/06/20 16:06:42  dd
  Stand nach unserem "Get-together" Treffen

  Revision 1.3  2002/06/18 23:12:02  as
  Nur Kleinigkeiten gendert.

  Revision 1.2  2002/06/18 14:52:14  mj
  no message

  Revision 1.1  2002/06/09 23:41:40  as
  no message

  Revision 1.3  2002/06/09 12:21:52  dd
  Fahnenumrechnung in RelativFahne eingebaut

   Revision 1.2  2002/05/31 18:20:09  dd
   Weltmodell implementiert und RelativFieldObjects angepasst.
 
   Build 1.1  2002/06/04 13:51:34  dd
   Erste Version
 */


/** 
 * A <code>BodyObject</code> hand over to the <code>Player</code>
 * his current stamina, velocity, headangle und direction.
 * @see Player
 * @see Parser
 *
 */
public class BodyObject {
    
    private float stamina;          // Ausdauer
    private float speed_amount;     // Geschwindigkeitsbetrag
    private float speed_direction;  // Geschwindigkeitsrichtung
    private float head_angle;       // Kopfwinkel
    private int timeStamp;
    
    /**
     * constructor for a new <code>BodyObject</code>
     * @param timestamp current timestamp
     * @param st        stamina
     * @param sp        speed
     * @param dir       direction
     * @param ha        head-angle
     */
    public BodyObject(int timestamp, float st, float sp, float dir, float ha) {

       this.timeStamp = timeStamp; 
       this.stamina = st;
       this.speed_amount = sp;
       this.speed_direction = dir;
       this.head_angle = ha;
    }
    
    /**
     * returns the objects timestamp
     */
    public int getTimeStamp () {
        return timeStamp;
    }

    /**
     * returns the players stamina
     */
    public float getStamina() {
        return stamina;
    }

    /**
     * returns the players speed
     */
    public float speed(){
        return speed_amount;
    }

    /**
     * returns the players headangle
     */
    public float getHeadAngle() {
        return head_angle;
    }

    /**
     * returns the players direction
     */
    public float getDirection() {
        return speed_direction;
    }
}
