

/*

  $Id: Client.java,v 1.25 2002/07/07 19:29:07 mj Exp $

  $Log: Client.java,v $
  Revision 1.25  2002/07/07 19:29:07  mj
  ...ballnextpos...

  Revision 1.24  2002/07/07 17:12:49  mj
  ...jeremies positionen enger...

  Revision 1.22  2002/07/07 08:21:39  dd
  *** empty log message ***


  Revision 1.21  2002/07/06 22:25:41  ju

  ...zwei startpositionen leicht geaednert...



  Revision 1.20  2002/07/05 08:58:12  dd

  Exceptions weitgehend ausgetrieben



  Revision 1.19  2002/07/03 14:59:04  ju

  Verteidiger -> JavaJeremies



  Revision 1.18  2002/07/02 23:47:27  ju

  package von robocop in bitsUnited umbenannt; mehr nicht...



  Revision 1.17  2002/07/02 18:11:08  ju

  erneut neue aufstellung



  Revision 1.16  2002/07/02 09:56:59  dd

  VisualWM entflackert, kleinere nderungen



  Revision 1.15  2002/06/28 19:18:56  dd

  Aufruf gendert, Bye-Msg, kleine nderungen



  Revision 1.14  2002/06/28 12:22:37  ju

  mittelfeld eingefuegt, auf 4-4-2 umgestellt



  Revision 1.13  2002/06/26 14:34:23  ju

  JavaJeremies dabei



  Revision 1.12  2002/06/26 11:07:47  ju

  startposition etwas geaendert



  Revision 1.11  2002/06/26 07:50:17  dd

  Visualisierung verbessert



  Revision 1.10  2002/06/25 16:58:16  as

  Bur Startposition geaendert.



  Revision 1.9  2002/06/25 08:21:12  dd

  Fahnen, Weltmodell und Visualisierung gecheckt



  Revision 1.8  2002/06/23 23:55:15  ju

  leichte aenderungen fuer dreh-bsp



  Revision 1.7  2002/06/23 11:09:01  ju

  no message



  Revision 1.6  2002/06/23 09:12:11  ju

  Sturm umbenannt in RoboslavKlose



  Revision 1.4  2002/06/22 13:49:42  ju

  nur startposition geaendert



  Revision 1.3  2002/06/20 22:54:11  dd

  Weltmodell funktioniert, Parser gefixt, Client lauffhig



*/



package bitsUnited;



import java.awt.*;

import java.awt.event.*;

import javax.swing.*;



/**

 * Client fuer den RCSSServer

 *

 */

public class Client extends JFrame implements ActionListener {





    private Player[]   player;

    private int        selectedPlayer;

    private JComboBox  playerChooser;

    private JButton    quitButton;

    private VisualWM   visualWM;



    // Labels fr Status des Players

    private JLabel ltimestamp;

    private JLabel lposX, lposY;

    private JLabel lstamina;

    private JLabel lbodyangle;

    private JLabel lheadangle;



    /**

     * main-method constructs a new client

     * @param args the string-array containing the parameters

     */

    public static void main( String[] args ) {

	Client myClient = null;

	if ( args.length > 2 ) { 

	    try {

		if (args.length == 3 )

		    myClient = new Client(args[0], args[1], Integer.parseInt(args[2]), true);

		else

		

		    myClient = new Client(args[0], args[1], Integer.parseInt(args[2]), !(args[3].equals("novis")));

	    }

	    catch ( NumberFormatException nfe ) {

		System.out.println("Ungltigen Port angegeben! ");

		System.out.println();

		printUsage();

		System.exit(1);

	    }		

	}

	else {

	    System.out.println("You didn't specify any parameters!");

	    System.out.println();

	    printUsage();

	    System.out.println("Nevertheless, I will continue with default parameters:");

	    System.out.println("  teamname = PM10;  serverhost = localhost; port = 6000 ");

	    System.out.println();

	    System.out.println("Quit the Client via <Ctrl><c>!");

	    System.out.println();

	    myClient = new Client("PM10", "localhost", 6000, false);

	}

    }



    private static void printUsage() {

	System.out.println("USAGE: ");

	System.out.println("         java bitsUnited.Client <teamname> <serverhost> <port> ");

	System.out.println();

    }



    /**

     * Initializes a new soccer team on construction of a <code>Client</code> object.

     * @param team name of out team

     * @param host hostname where the rcssserver is running

     * @param port the port on which initial connection should be performed

     * @param gui is set to true if GUI should be shown

     */



    public Client(String team, String host, int port, boolean gui) {

	player = new Player[11];

	player[ 0] = new Player(new ServerConnector(host, port) , new OlliKahn()     , new Position(-50, 0), team);

	player[ 0].start();

	player[ 1] = new Player(new ServerConnector(host, port) , new JavaJeremies(), new Position(-37, -15), team);

	player[ 1].start();

	player[ 2] = new Player(new ServerConnector(host, port) , new JavaJeremies(), new Position(-38, -5), team);

	player[ 2].start();

	player[ 3] = new Player(new ServerConnector(host, port) , new JavaJeremies(), new Position(-38, 5), team);

	player[ 3].start();

	player[ 4] = new Player(new ServerConnector(host, port) , new JavaJeremies(), new Position(-37, 15), team);

	player[ 4].start();

	player[ 5] = new Player(new ServerConnector(host, port) , new DigitalDeisler(), new Position(-20, -10), team);

	player[ 5].start();

	player[ 6] = new Player(new ServerConnector(host, port) , new DigitalDeisler(), new Position(-2, -5), team);

	player[ 6].start();

	player[ 7] = new Player(new ServerConnector(host, port) , new DigitalDeisler(), new Position(-20, 10), team);

	player[ 7].start();

	player[ 8] = new Player(new ServerConnector(host, port) , new DigitalDeisler(), new Position(-1, 1), team);

	player[ 8].start();

	player[ 9] = new Player(new ServerConnector(host, port) , new RoboslavKlose(), new Position(-1, -20), team);

	player[ 9].start();

	player[10] = new Player(new ServerConnector(host, port) , new RoboslavKlose(), new Position(-1, 20), team);

	player[10].start();



	// Unschn - Es kommt zu Exceptions, falls wir nicht nach dem Thread-Starten warten, bis die init-Nachricht da war...

        while ( ! player[ 0].isInitialized() &&

                ! player[ 1].isInitialized() &&

                ! player[ 2].isInitialized() &&

                ! player[ 3].isInitialized() &&

                ! player[ 4].isInitialized() &&

                ! player[ 5].isInitialized() &&

                ! player[ 6].isInitialized() &&

                ! player[ 7].isInitialized() &&

                ! player[ 8].isInitialized() &&

                ! player[ 9].isInitialized() &&

		! player[10].isInitialized() ) {

	}



	// Auswahlliste fr die Playervisualisierung fllen

	playerChooser = new JComboBox();

	for( int idx = 0 ; idx < 11; ++idx ) {

	    playerChooser.insertItemAt( "Spieler " + (idx+1), idx );

	}

	

	// Aussehen des Frames definieren

	setSize(600,550);

	setTitle("RCSS-Client der PM-Gruppe 10");



	JPanel panel = new JPanel(new BorderLayout());



	JPanel playerState = new JPanel(new GridLayout(6,2));

	playerState.add(new JLabel("Timestamp   :"));

	ltimestamp = new JLabel(" - ");

	playerState.add( ltimestamp );



	playerState.add(new JLabel("X-Pos       :"));

	lposX = new JLabel(" - ");

	playerState.add( lposX );



	playerState.add(new JLabel("Y-Pos       :"));

	lposY = new JLabel(" - ");

	playerState.add( lposY );



	playerState.add(new JLabel("Stamina     :"));   

	lstamina = new JLabel(" - ");

	playerState.add( lstamina );



	playerState.add(new JLabel("Krperwinkel :"));

	lbodyangle = new JLabel(" - ");

	playerState.add( lbodyangle );



	playerState.add(new JLabel("Kopfwinkel  :"));

	lheadangle = new JLabel(" - ");

	playerState.add( lheadangle );





	visualWM = new VisualWM(team);



	quitButton = new JButton("Beenden");

	quitButton.addActionListener( this );



	panel.add(playerState, BorderLayout.CENTER);

	panel.add(playerChooser, BorderLayout.NORTH);

	panel.add(quitButton, BorderLayout.EAST );

	panel.add(visualWM,BorderLayout.SOUTH);

	this.getContentPane().add(panel);



	// den 0. Player schon einmal anzeigen

	selectedPlayer = 0;

	playerChooser.setSelectedIndex(selectedPlayer);	

	player[selectedPlayer].getWeltmodell().connectVisWM( visualWM );

	player[selectedPlayer].connectClient(this);



	// ActionListener hinzufgen

	playerChooser.addActionListener( this );



	// nur anzeigen, falls auch gewnscht!

	if ( gui ) show();

    }



    /**

     * called by the GUI-Components on an ActionEvent

     * @param ae the emitted ActionEvent

     */

    public void actionPerformed( ActionEvent ae ) {

	if (ae.getSource() == playerChooser ) {

	    // disconnecten

	    player[selectedPlayer].getWeltmodell().connectVisWM( null );

	    player[selectedPlayer].connectClient(null);

	    selectedPlayer = playerChooser.getSelectedIndex();

	    // reconnecten

	    player[selectedPlayer].getWeltmodell().connectVisWM( visualWM );

	    player[selectedPlayer].connectClient( this );  

	}

	if ( ae.getSource() == quitButton ) {

	    this.hide();

	    // Verabschiedung aufrufen

	    for ( int idx = 0; idx < player.length; ++idx) {

		player[idx].bye();

	    }

	    System.exit(0);

	}

    }



    /**

     * is called by the connected player in order to update the player's stats

     * @param timestamp the players timestamp

     * @param myPos a Position object containing the players position

     * @param stamina the players stamina

     * @param bodyangle the players bodyangle

     * @param headangle the players headangle

     */

    public void updateStats( int timestamp, Position myPos, float stamina, float bodyangle, float headangle ) {

	ltimestamp.setText( "" + timestamp );

	if ( myPos != null ) {

	    lposX.setText( "" + myPos.getX() );

	    lposY.setText( "" + myPos.getY() );

	}

	lstamina.setText( "" + stamina );

	lbodyangle.setText( "" + bodyangle );

	lheadangle.setText( "" + headangle );

    }

}

