package bitsUnited;

/*
        $Id: JavaJeremies.java,v 1.13 2002/07/07 23:06:16 mj Exp $
        $Log: JavaJeremies.java,v $
        Revision 1.13  2002/07/07 23:06:16  mj
        ...final version... may the force be with u...

        Revision 1.12  2002/07/07 21:18:08  mj
        ...ball preview...

        Revision 1.11  2002/07/07 17:08:26  mj
        *** ueberarbeitet ***

        Revision 1.9  2002/07/07 14:25:19  hz
        ganz neu gemacht. erst test gut
 
        Revision 1.7  2002/07/07 07:16:29  hz
        ganz neu gemacht, und kann funktionieren.
 
        Revision 1.6  2002/07/04 23:11:28  ju
        genauere playmodi-beachtung (wg stamina),
        flanke statt torschuss bei zu engem winkel,
        warten beim anstoss
 
        Revision 1.5  2002/07/04 22:15:28  ju
        NullPointerException bei Positionsbestimmung wird ge"catch"t
 
        Revision 1.3  2002/07/03 20:28:30  ju
        ...Spieler laufen nur noch max einen halben Meter hinter die Spielfeldmakierung und somit (hoffentlich) nicht mehr aus dem Bildschirm...
 
        Revision 1.2  2002/07/03 19:32:17  ju
        (noch) keine Aktivitaeten bei BEFORE_KICK_OFF
 
        Revision 1.1  2002/07/03 14:57:40  ju
        ...vorher Verteidiger...
 
        Revision 1.10  2002/07/02 23:47:27  ju
        package von robocop in bitsUnited umbenannt; mehr nicht...
 
        Revision 1.9  2002/06/27 19:09:31  ju
        neue methoden in Strategy
 
        Revision 1.8  2002/06/27 15:39:24  mj
        Aenderungen vom Do 27.6
 
        Revision 1.5  2002/06/26 14:38:48  ju
        ---nochmal komplett neu---
 
        Revision 1.4  2002/06/26 10:55:16  hz
        kleiner Vernderung in Funktionname und Fehler
 
        Revision 1.3  2002/06/22 00:29:41  hz
        no message
 
        Revision 1.2  2002/06/21 22:49:48  hz
        22.06.2002
 
        Revision 1.0  2002/06/20 16:06:41  hz
        no message
 
 */

import java.util.*;

/**
 * The <code>JavaJeremies</code> class describes the behavior of a defense-player, connected with strategy
 * <code>JavaJeremies</code>.
 *
 * @author <a href="mailto:haobo@web.de">Haobo Zhang</a>
 * @version 0.1
 */
public class JavaJeremies extends Strategy {
    
    /** a class of an active Object to ball, goal, or player */
    protected class activeObject {
        float Dist;
        float Dir;
        
        activeObject ( float dist, float dir) {
            Dist = dist;
            Dir = dir;
        }
        
        activeObject ( ) {
            Dist = -1f;
            Dir = 180f;
        }
    }
    
    
    
    /** this method calls the player actions in dependancy of the playing circumstances */
    public void makeDecision() {
        
        /** the position of the player */
        Position myPos = new Position();
        
        /** the start position of the player */
        Position myStartPos = new Position();
        
        /** the position of the ball */
        Position ballPos = new Position();
        
        /** the position of the ball */
        Position ballNextPos = new Position();
        
        /** the Object of the my goal, myGoalC.Dist= -1 and myGoalC.Dir= 180 */
        activeObject myGoalC = new activeObject();
        
        /** the Object of the ball, ball.Dist= -1 and ball.Dir= 0 . all are me to the ball*/
        activeObject meToBall = new activeObject(-1, 0);
        
        /** the Object of the ballNext, ballNext.Dist= -1 and ballNext.Dir= 0 .
         * me to the calculated next position of the ball */
        activeObject meToBallNext = new activeObject(-1, 0);
        
        /** the Object of a chosen player to the my goal, playerToGoal.Dist= -1 and playerToGoal.Dir= 180 */
        activeObject playerToGoal = new activeObject();
        
        /** the Object of a chosen player to the ball, playerToBall.Dist= -1 and playerToBall.Dir= 180 */
        activeObject playerToBall = new activeObject();
        
        /** the Object of the nearest player to the ball, nearestplayerToBall.Dist= -1 and nearestplayerToBall.Dir= 0 */
        activeObject nearestplayerToBall = new activeObject(-1, 0);
        
        /** the Object of the ballNext, ballNext.Dist= -1 and ballNext.Dir= 0 .
         * the actual player to the calculated next position of the ball */
        activeObject playerToBallNext = new activeObject(-1, 0);
        
        /** the Object of a chosen player to me, playerToMe.Dist= -1 and playerToMe.Dir= 0 */
        activeObject playerToMe = new activeObject(-1, 0);
        
         /** the Object of a chosen player to a chosen nearest player, playerToNearest.Dist= -1 and playerToNearest.Dir= 0 */
        activeObject playerToNearest = new activeObject(-1, 0);
        
        /** the Object of an available teammate, availTm.Dist= -1 and availTm.Dir= 0 */
        activeObject availTm = new activeObject(-1, 0);
        
        /** the Object of an available opp. player, availOpp.Dist= -1 and availOpp.Dir= 0 */
        activeObject availOpp = new activeObject(-1, 0);
        
        /** the Object of the closest teammate to my goal */
        activeObject closestTmToGoal = new activeObject(100, 180);
        
        /** the distance between the teammate, that is closest to my goal, and me */
        activeObject closestTmToGoalToMe = new activeObject();
        
        /** the Object of the closest teammate to me */
        activeObject closestTmToMe = new activeObject(100, 0);
        
        /** the Object of the closest opp. player to my goal */
        activeObject closestOppToGoal = new activeObject(100, 180);
        
        /** the distance between the opp. player, that is closest to my goal, and me */
        activeObject closestOppToGoalToMe = new activeObject();
        
        /** the Object of the closest opp. player to me */
        activeObject closestOppToMe = new activeObject(100, 0);
        
        
        boolean playerVisible = false;
        
        /** true, if minimun one opp. player is visible */
        boolean oppPlayerVisible = false;
        
        /** true, if the actual player knows the position of the ball */
        boolean foundBall = false;
        
        /** true, if the ball is in a kickable range from the actual player */
        boolean ballInRange = false;
        
        /** true, if the ball's calculated next position is in a kickable range from the actual player */
        boolean ballNextInRange = false;
        
        /** true, if the my goal is in a shootable range
         * the shootable range is firstly set to 20 meters */
        boolean myGoalNear = false;
        
        /** true, if the actual player is the closest of his team to the my goal */
        // boolean amNearestTmToMyGoal = true;
        
        /** true, if the actual player is the closest of opp. team to my goal */
        boolean amNearestOppToMyGoal = true;
        
        /** true, if the actual player is the closest of his team to the ball */
        boolean amNearestTmToBall = true;
        
        /** true, if the actual player is the opp. team near to the ball */
        boolean isOppNearToBall = false;
        
        /** true, if the actual player is the own team near to the ball */
        boolean isTmNearToBall = false;
        
        /** true, if a close teammate is available */
        //boolean closerTmAvail = false;
        
        /** true, if a close opp. player is available */
        boolean closerOppAvail = false;
        
        /** direction, where should be no opponent player */
        float freeDir = 0;
        
        /** true if minimum one opponent player is in my near */
        boolean oppNear = false;
        
        /** direction of a near opponent player */
        float oppDir;
        
        /** the Object of start position */
        activeObject meToStartPos = new activeObject(-1, 0);
        
        try {
            myPos.setX(myPlayer.getMyPos().getX());
            myPos.setY(myPlayer.getMyPos().getY());
        }
        catch (NullPointerException e) {
            myPlayer.turnBody(180);
            myPlayer.turnHead(-myPlayer.getHeadAngle());
            myPlayer.setPlayStatus(myPlayer.EXCEPTION);
        }
        
        myStartPos.setX(myPlayer.getMyStartPos().getX());
        myStartPos.setY(myPlayer.getMyStartPos().getY());
        
        if ( myPos.getY() > 20) {
            freeDir = -25;
        }
        if ( myPos.getY() < -20 ) {
            freeDir = 25;
        }
        
        float MPDir = dir(0, 0, myPos.getX(), myPos.getY());
        float MPToGoalCDir = dir(-52.50f, 0, myPos.getX(), myPos.getY());
        
        switch (myPlayer.getPlayStatus()) {
            
            case Player.EXCEPTION:
            {
                break;
            }
            
            case Player.BEFORE_KICK_OFF:
            {
                if ( myPos.getX()<=(myStartPos.getX()+0.5f) && myPos.getX()>=(myStartPos.getX()-0.5f) &&
                myPos.getY()<=(myStartPos.getY()+0.5f) && myPos.getY()>=(myStartPos.getY()-0.5f)) {
                    
                    if ((myPlayer.getBodyAngle()-MPDir>2) || (myPlayer.getBodyAngle()-MPDir<(-2))) {
                        turnBodyTo(MPDir);
                        if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                    }
                }
                else {
                    myPlayer.move( (int)myStartPos.getX(), (int)myStartPos.getY() );
                }
                break;
            }
            
            case Player.KICK_OFF_OPP:
            {
                if ((myPlayer.getBodyAngle()-MPDir>2) || (myPlayer.getBodyAngle()-MPDir<(-2))) {
                    turnBodyTo(MPDir);
                    if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                }
                break;
            }
            
            default: // also auch CORNER_KICK,...
            {
                
                // Entfernung des Spieler zu seiner Start-Position wird berechnet (Pythagoras)
                meToStartPos.Dist = dist(myStartPos.getX(), myStartPos.getY(), myPlayer.getMyPos().getX(), myPlayer.getMyPos().getY());
                
                // die Richtung des Balles vom Spieler wird errechnet (tan x = y => x = atan y)
                // Wertebereich: [-180; 180]
                meToStartPos.Dir =  dir(myStartPos.getX(), myStartPos.getY(), myPlayer.getMyPos().getX(), myPlayer.getMyPos().getY());
                
                // dist. between my goal and my postion
                myGoalC.Dist = dist(myPos.getX(), myPos.getY(), -52.5f, 0);
                
                // is my goal in near?
                if ( myGoalC.Dist < 35 ) { myGoalNear = true; }
                else { myGoalNear = false; }
                
                // angle between my goal and me
                myGoalC.Dir = dir(-52.5f, 0, myPos.getX(), myPos.getY());
                
                //myGoalOpt = myGoalC;
                
                for (Enumeration aenum = myPlayer.getWeltmodell().getKnownObjects().elements() ; aenum.hasMoreElements() ;) {
                    AbsolutFieldObject atemp = (AbsolutFieldObject) aenum.nextElement();
                    
                    switch (atemp.getType()) {
                        case AbsolutFieldObject.BALL: {

                            AbsolutBall aball = (AbsolutBall) atemp;

                            // Ball ist im Weltmodell
                            foundBall = true;
                            
                            // Position des Balles wird gespeichert
                            ballPos.setX(aball.getX());
                            ballPos.setY(aball.getY());
                            
                            // Position des Balles wird gespeichert
                            ballNextPos.setX(aball.getX()+(8*aball.getPosCh_X()));
                            ballNextPos.setY(aball.getY()+(8*aball.getPosCh_Y()));

                            // Entfernung des Balles zum Spieler wird berechnet (Pythagoras)
                            meToBall.Dist = dist(ballPos.getX(), ballPos.getY(), myPos.getX(), myPos.getY());
                            
                            // die Richtung des Balles vom Spieler wird errechnet (tan x = y => x = atan y)
                            // Wertebereich: [-180; 180]
                            meToBall.Dir = dir(ballPos.getX(), ballPos.getY(), myPos.getX(), myPos.getY());
                            
                            // Entfernung des Balles zum Spieler wird berechnet (Pythagoras)
                            meToBallNext.Dist = dist(ballNextPos.getX(), ballNextPos.getY(), myPos.getX(), myPos.getY());
                            
                            // die Richtung des Balles vom Spieler wird errechnet (tan x = y => x = atan y)
                            // Wertebereich: [-180; 180]
                            meToBallNext.Dir = dir(ballNextPos.getX(), ballNextPos.getY(), myPos.getX(), myPos.getY());
                            
                            // ist Ball in Reichweite
                            if ( meToBall.Dist < 0.85f ) { ballInRange = true; }
                            else { ballInRange = false; }
                            
                            // ist Ball in Reichweite
                            if ( meToBallNext.Dist < 0.85f ) { ballNextInRange = true; }
                            else { ballNextInRange = false; }
                            
                            //                          if (ballPos.getX() > -25) isOppNearToBall = false;
                            
                            break;
                        }
                        
                        case AbsolutFieldObject.SPIELER:
                        {
                            playerVisible = true;
                            
                            AbsolutSpieler aspieler = (AbsolutSpieler) atemp;
                            
                            //if (aspieler.getX() > lastX) lastX = aspieler.getX();
                            
                            // Entfernung des gefundenen Spieler zum gegn. Tor wird berechnet (Pythagoras)
                            playerToGoal.Dist = dist(-52.5f, 0, aspieler.getX(), aspieler.getY());
                            
                            // angle between actual player and my goal
                            playerToGoal.Dir = dir(aspieler.getX(), aspieler.getY(), -52.5f, 0);
                            
                            // Entfernung des gefundenen Spieler zu mir wird berechnet (Pythagoras)
                            playerToMe.Dist = dist(myPos.getX(), myPos.getY(), aspieler.getX(),  aspieler.getY());
                            
                            // Richtung des naeheren Mitspielers wird errechnet (tan x = y => x = atan y)
                            // Wertebereich: [-180; 180]
                            playerToMe.Dir = dir(aspieler.getX(), aspieler.getY(), myPos.getX(), myPos.getY());
                            
                            if (foundBall) {
                                // Entfernung und Richtung des gefundenen Spieler zum Ball wird berechnet (Pythagoras)
                                playerToBall.Dist = dist(aspieler.getX(), aspieler.getY(), ballPos.getX(), ballPos.getY());
                                playerToBall.Dir = dir(ballPos.getX(), ballPos.getY(), aspieler.getY(), aspieler.getX());
                            }
                            
                            // is a opp. player??
                            if ( !(myPlayer.getMyTeamName().equals(aspieler.getTeamName())) ) {
                                
                                oppPlayerVisible = true;
                                
                                // a opp. player is near to the ball.  < 5
                                if ( playerToBall.Dist < 5 )
                                    isOppNearToBall = true;
                                
                            }
                            else { // ... ist ein teammate!
                                
                                if ( playerToBall.Dist < 5 )
                                    isTmNearToBall = true;
                                
                                // is the nearest teammate to ball ??
                                if ( foundBall ) {
                                    // naeher am Ball??
                                    if ( amNearestTmToBall ) {
                                        if (playerToBall.Dist < meToBall.Dist) {
                                            amNearestTmToBall = false;
                                        }
                                    }
                                }
                                
                            }
                            
                            break;
                            
                        } // Ende case SPIELER
                        
                    } // Ende switch
                } // Ende for...Enumeration
                
   /*	if (closestTmToGoalToMe.Dist<30) {
     closerTmAvail = true;
     availTm.Dir = closestTmToGoal.Dir;
     availTm.Dist = closestTmToGoalToMe.Dist;
    }
    else {
     if (closestTmToMe.Dist<30) {
      closerTmAvail = true;
      availTm = closestTmToMe;
      availTmDist = closestTmDistToMe;
     }
     else { closerTmAvail = false; }
    }
    break;  */
            } // Ende case PLAY_ON
        }
        
        
        //---------------------------------------------------------------------------------------------
        
        if (myPos.getX() > 53 || myPos.getX() < -53 || myPos.getY() > 36 || myPos.getY() < -36) {
            if ((myPlayer.getBodyAngle()-MPDir>2) || (myPlayer.getBodyAngle()-MPDir<(-2))) {
                turnBodyTo(MPDir);
            }
            else myPlayer.dash(100);
        }
        else {
            
            switch (myPlayer.getPlayStatus()) {
                
                default:
                {
                    
                    if ( myPlayer.getPlayTime()>0 && myPlayer.getPlayTime()<=6000 ) {
                        
                        // ist nicht auf Start-Position ??
                        if (meToStartPos.Dist > 2) {
                            if (foundBall) {
                                if (ballInRange) {
                                    kickTo(100, MPDir);
                                }
                                else { // ball nicht in Range
                                    if ( (amNearestTmToBall && ballPos.getX()<-18) || (isOppNearToBall && ballPos.getX()<-18 && !isTmNearToBall) ) {
                                        // gehe zu Ball
                                        if (meToBallNext.Dist>3) {
                                            if ( ((myPlayer.getBodyAngle()-meToBallNext.Dir))>=(-3) &&
                                            ((myPlayer.getBodyAngle()-meToBallNext.Dir)<=3) ) {
                                                myPlayer.dash(100);
                                            }
                                            else {
                                                turnBodyTo(meToBallNext.Dir);
                                                if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                                            }
                                        }
                                        else {
                                            if ( ((myPlayer.getBodyAngle()-meToBall.Dir))>=(-3) &&
                                            ((myPlayer.getBodyAngle()-meToBall.Dir)<=3) ) {
                                                myPlayer.dash(70);
                                            }
                                            else {
                                                turnBodyTo(meToBall.Dir);
                                                if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                                            }
                                        }
                                    }
                                    else {
                                        goTo(myStartPos.getX(), myStartPos.getY(), 2);
                                        turnHeadTo(meToBall.Dir);
                                    }
                                }
                            }
                            else { // ball nicht gefunden
                                goTo(myStartPos.getX(), myStartPos.getY(), 1);
                                searchBallWalk();
                            }
                        }
                        // ist auf Start-Position
                        else {
                            if (foundBall) {
                                if (ballInRange) {
                                    kickTo(100, MPDir);
                                }
                                else { // ball nicht in Range
                                    if ( (amNearestTmToBall && ballPos.getX()<-18) || (isOppNearToBall && ballPos.getX()<-18 && !isTmNearToBall) ) {
                                        // gehe zu Ball
                                        if (meToBallNext.Dist>3) {
                                            if ( ((myPlayer.getBodyAngle()-meToBallNext.Dir))>=(-3) &&
                                            ((myPlayer.getBodyAngle()-meToBallNext.Dir)<=3) ) {
                                                myPlayer.dash(100);
                                            }
                                            else {
                                                turnBodyTo(meToBallNext.Dir);
                                                if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                                            }
                                        }
                                        else {
                                            if ( ((myPlayer.getBodyAngle()-meToBall.Dir))>=(-3) &&
                                            ((myPlayer.getBodyAngle()-meToBall.Dir)<=3) ) {
                                                myPlayer.dash(70);
                                            }
                                            else {
                                                turnBodyTo(meToBall.Dir);
                                                if ((myPlayer.getHeadAngle()>1 || myPlayer.getHeadAngle()<-1) && myPlayer.getReceivedSeeHead()) myPlayer.turnHead(-myPlayer.getHeadAngle());
                                            }
                                        }
                                    }
                                    else {
                                        //                                      goTo(myStartPos.getX(), myStartPos.getY(), 1);
                                        turnHeadTo(meToBall.Dir);
                                    }
                                }
                            }
                            else { // ball nicht gefunden
                                searchBall();
                            }
                        }
                    }
                    break;
                }
                
                case Player.CORNER_KICK_OPP:
                {
                    break;
                }
                
                case Player.BEFORE_KICK_OFF:
                case Player.KICK_OFF_OPP:
                case Player.KICK_OFF_MYTEAM:
                case Player.GOAL_KICK_OPP:
                case Player.CORNER_KICK_MYTEAM:
                {
                    break;
                }
                
                case Player.GOAL_KICK_MYTEAM:
                case Player.FREE_KICK_OPP:
                {
                    goTo(myStartPos.getX(), myStartPos.getY(), 1);
                    turnHeadTo(0);
                }
                
                case Player.EXCEPTION:
                {
                    break;
                }
                
            }
        }
    }
}