package bitsUnited;

/*
 $Id: Player.java,v 1.47 2002/07/09 20:27:44 dd Exp $
 $Log: Player.java,v $
 Revision 1.47  2002/07/09 20:27:44  dd
 buchstabendreher behoben

 Revision 1.46  2002/07/07 23:06:16  mj
 ...final version... may the force be with u...

 Revision 1.45  2002/07/07 17:08:26  mj
 *** ueberarbeitet ***

 Revision 1.42  2002/07/06 22:28:51  ju
 ..kleinigkeiten...
 
 Revision 1.39  2002/07/05 20:27:59  dd
 kleine nderungen, Verbesserung beim Winkel im Weltmodell
 
 Revision 1.38  2002/07/05 16:50:25  ju
 !!! zaehle BODY-MSGS und fuehre bodyAngle-Update aus WM nur dann durch,
 wenn zwei BODY-MSGS empfangen wurde
 => loest (nach meinen ersten Test) das bisherige Winkelproblem !!!
 
 Revision 1.37  2002/07/05 08:58:12  dd
 Exceptions weitgehend ausgetrieben
 
 Revision 1.36  2002/07/04 22:13:38  ju
 NullPointerException bei Positionsbestimmung wird ge"catch"t
 
 Revision 1.35  2002/07/03 19:37:57  ju
 ...while entfernt bei turnBody...
 makeDecision bei Body-Message
 
 Revision 1.34  2002/07/03 10:54:28  ju
 aenderung bei turnHead, turnBody
 
 Revision 1.33  2002/07/02 23:47:27  ju
 package von robocop in bitsUnited umbenannt; mehr nicht...
 
 Revision 1.32  2002/07/02 18:17:54  ju
 ...oldpos entfernt...
 
 Revision 1.31  2002/07/02 09:56:59  dd
 VisualWM entflackert, kleinere nderungen
 
 Revision 1.30  2002/06/28 19:18:56  dd
 Aufruf gendert, Bye-Msg, kleine nderungen
 
 Revision 1.29  2002/06/28 15:29:46  mj
 bei Nachrichtentyp REFMSG wird makeDecision() auch aufgerufen
 war noetig !!
 
 Revision 1.28  2002/06/27 15:39:39  mj
 Aenderungen vom Do 27.6
 
 Revision 1.27  2002/06/27 08:54:54  ju
 makeDecision wieder aktiviert
 
 Revision 1.25  2002/06/26 14:37:48  ju
 kleine aenderung -> zaehlt body-messages
 
 Revision 1.23  2002/06/26 07:50:17  dd
 Visualisierung verbessert
 
 Revision 1.22  2002/06/25 17:14:29  ju
 bodyangle wird bei turnbody-aufruf mitgeaendert (dennis)
 
 Revision 1.21  2002/06/25 08:21:12  dd
 Fahnen, Weltmodell und Visualisierung gecheckt
 
 Revision 1.20  2002/06/23 23:55:21  ju
 leichte aenderungen fuer dreh-bsp
 
 Revision 1.19  2002/06/23 14:42:17  mj
 stamina und bodyAngle als float gesetzt (da sie vom Server als reelle Z geliefert)
 update von
         myStamina, myPos, myAngle, myGoals, oppGoals, playTime
 
 Revision 1.18  2002/06/23 11:09:01  ju
 no message
 
 Revision 1.17  2002/06/23 09:12:04  ju
 Sturm umbenannt in RoboslavKlose
 
 Revision 1.16  2002/06/22 22:01:22  mj
 playStatus wird aktualisiert
 
 Revision 1.15  2002/06/22 16:12:15  ju
 no message
 
 Revision 1.14  2002/06/22 13:49:03  ju
 nur ganz kleine aenderungen
 
 Revision 1.10  2002/06/21 17:33:28  ju
 javadoc hinzugefuegt, einige unnoetige methoden wieder geloescht und headAngle auskommentiert
 
 Revision 1.9  2002/06/21 08:40:56  dd
 init in Strategie
 
 Revision 1.8  2002/06/20 22:52:28  dd
 Weltmodell funktioniert, Parser gefixt, Client lauffhig
 
 Revision 1.7  2002/06/20 16:06:41  dd
 Stand nach unserem "Get-together" Treffen
 
 Revision 1.6  2002/06/18 14:52:29  mj
 Fehlerbehoben
 
 Revision 1.5  2002/06/12 18:02:52  dd
 Visualisierung fr das Weltmodell neu und Weltmodell erweitert
 
 Revision 1.4  2002/06/11 21:40:58  mj
 Achtung: Methode move geaendert!!!
 Auerdem, die Methoden dash, kick, catch etc implementiert
 und einen Konstrukor fuer den ClientWindow hinzugefgt.
 
 Revision 1.3  2002/06/07 13:53:25  ju
 no message
 
 Revision 1.2  2002/06/03 14:47:03  ju
 no message
 
 Revision 1.1.1.2  2002/05/31 11:12:44  ju
 no message
 
 */

import java.lang.*;
import java.util.*;

/** The class <code>Player</code> is the center of this Client. Every soccer is an instance of <code>Player</code>.
 * After being instanced by the Client-class the <code>Player</code> controls all classes 
 * which are relevant for the behavier and actions of the soccer. 
 */
public class Player extends Thread {
	
/**
*constant Integer representing the play mode "before_kick_off"
*/	
    static public final int BEFORE_KICK_OFF    = 0;

/**
*constant Integer representing the play mode "play_on"
*/	
    static public final int PLAY_ON            = 1;

/**
*constant Integer representing the play mode "kick_off_side" 
*(side is 'l' or 'r' in this case our side)
*/	
    static public final int KICK_OFF_MYTEAM    = 2;

/**
*constant Integer representing the play mode "kick_off_side"
*(side is 'l' or 'r' in this case opponent side)
*/	
    static public final int KICK_OFF_OPP       = 3;

/**
*constant Integer representing the play mode "kick_in_side"
*(side is 'l' or 'r' in this case our side)
*/	
    static public final int KICK_IN_MYTEAM     = 4;

/**
*constant Integer representing the play mode "kick_in_side"
*(side is 'l' or 'r' in this case opponent side)
*/	
    static public final int KICK_IN_OPP        = 5;

/**
*constant Integer representing the play mode "corner_kick_side"
*(side is 'l' or 'r' in this case our side)
*/	
    static public final int CORNER_KICK_MYTEAM = 6;

/**
*constant Integer representing the play mode "corner_kick_side"
*(side is 'l' or 'r' in this case opponent side)
*/	
    static public final int CORNER_KICK_OPP    = 7;

/**
*constant Integer representing the play mode "free_kick_side"
*(side is 'l' or 'r' in this case our side)
*/	
    static public final int FREE_KICK_MYTEAM   = 8;

/**
*constant Integer representing the play mode "free_kick_side"
*(side is 'l' or 'r' in this case opponent side)
*/	
    static public final int FREE_KICK_OPP      = 9;

/**
*constant Integer representing the play mode "goal_kick_side"
*(side is 'l' or 'r' in this case our side)
*/	
    static public final int GOAL_KICK_MYTEAM   = 10;

/**
*constant Integer representing the play mode "goal_kick_side"
*(side is 'l' or 'r' in this case opponent side)
*/	
    static public final int GOAL_KICK_OPP      = 11;

/**
*constant Integer representing the play mode "time_over"
*/	
    static public final int TIME_OVER          = 12;

/**
*constant Integer representing every case not represented in "play mode"
*/	
    static public final int EXCEPTION          = 99;
    
    private Position myPos;
    
    private Position myStartPos;
    private Strategy myStrategy;
    private String myTeamName;
    private int playStatus;		// z.B. kick_off, ...
    private float myStamina;
    private float headAngle;
    private float bodyAngle;
    private int myGoals;
    private int oppGoals;
    private int playTime;
    private Weltmodell myWeltmodell;
    private ServerConnector servCon;
    private Parser myParser;
    
    private boolean left2right;

    private boolean receivedSeeHead;
    private boolean receivedSeeBody;
    
    private int ht;
    private int bc;
    private int kickOffTS;
    
    // Flag um anzuzeigen, ob die init-Nachricht empfangen wurde
    private boolean isInitialized;
    
    // Der Client, an den die Playerparameter gesendet werden sollen
    private Client myClient;
    
    /**
    * This constructor instances a new soccer-player 
    * @param scon an instance of the class ServerConnector
    * @param strategie an instance of the class Strategy
    * @param startpos an instance of the class Position 
    * @param team the team name
    * @see ServerConnector
    * @see Strategy
    * @see Position
    */
    public Player(ServerConnector scon, Strategy strategie, Position startpos, String team){
        this.servCon = scon;
        this.myParser = new Parser();
        this.myStrategy = strategie;
        myStrategy.connect(this);
        this.myStartPos = startpos;
        this.myPos = startpos;
        this.myTeamName = team;
        
        // Strategie ruft die korrekte init()-Methode des Players auf, um sich beim Server anzumelden ( Spieler / Torwart )
        myStrategy.init();
    }
    
    /**
     * returns whether the <code>Player</code> has recently recieved an (init)-Message
     */
    public boolean isInitialized() {
        return isInitialized;
    }
    
    
    public boolean getReceivedSeeBody() {
        return receivedSeeBody;
    }
    
    public boolean getReceivedSeeHead() {
        return receivedSeeHead;
    }
    
    public int getHT() {
        return ht;
    }
    
    public void setHT(int ht) {
        this.ht = ht;
    }
    
    public int getKickOffTS() {
        return kickOffTS;
    }
    
    public void setKickOffTS(int kots) {
        kickOffTS = kots;
    }
    
    /**
     * returns the position of the player
     * @param myPos is an object of <code>Position</code>
     * @see Position
     */
    public Position getMyPos() {
        return myPos;
    }
    
    /**
     * sets the position of the player
     * @param myPos is an object of <code>Position</code>
     * @see Position
     */
    public void setMyPos(Position myPos) {
        this.myPos = myPos;
    }
    
    /**
     * returns the starting position of the player,
     * which is being set in <code>Client</code>.
     * @param myStartPos is an object of <code>Position</code>
     * @see Position
     */
    public Position getMyStartPos() {
        return myStartPos;
    }
    
    /**
     * returns the type of strategy of the player,
     * which can be a goalie: <code>OlliKahn</code>, a defender: 
     * <code>JavaJerimies</code>, a midfield: 
     *<code>DigitalDeisler</code> 
     *or a forward:  <code>RoboslavKlose</code>.
     */
    public Strategy getMyStrategy() {
        return myStrategy;
    }
    
    /**
     * returns the team name of the player
     */
    public String getMyTeamName() {
        return myTeamName;
    }
    
    /**
     * returns the present play status, which is being sent by the server
     */
    public int getPlayStatus() {
        return playStatus;
    }
    
    /**
     * sets the present playing status
     */
    public void setPlayStatus(int playStatus) {
        this.playStatus = playStatus;
    }
    
    /**
     * returns the present amount of stamina of the player
     */
    public float getMyStamina() {
        return myStamina;
    }
    
    /**
     * sets the present amount of stamina of the player
     */
    public void setMyStamina(float myStamina) {
        this.myStamina = myStamina;
    }
    
    /**
     * returns the present angle of the player's head, relative to his body direction
     */
    public float getHeadAngle() {
        return headAngle;
    }
    
    /**
     * sets the present angle of the player's head, relative to his body direction
     */
    public void setHeadAngle(int headAngle) {
        this.headAngle = headAngle;
    }
    
    /**
     * returns the present angle of the player's body
     */
    public float getBodyAngle() {
        return bodyAngle;
    }
    
    /**
     * sets the present angle of the player's body
     */
    public void setBodyAngle(float bodyAngle) {
        this.bodyAngle = bodyAngle;
    }
    
    /**
     * returns the amount of goal, marked by the player's team
     */
    public int getMyGoals() {
        return myGoals;
    }
    
    /**
     * sets the amount of goal, marked by the player's team
     */
    public void setMyGoals(int myGoals) {
        this.myGoals = myGoals;
    }
    
    /**
     * returns the amount of goal, marked by the player's opponent team
     */
    public int getOppGoals() {
        return oppGoals;
    }
    
    /**
     * sets the amount of goal, marked by the player's opponent team
     */
    public void setOppGoals(int oppGoals) {
        this.oppGoals = oppGoals;
    }
    
    /**
     * returns the amount of time, remaining in the present period
     */
    public int getPlayTime() {
        return playTime;
    }
    
    /**
     * sets the amount of time, remaining in the present period
     */
    public void setPlayTime(int playTime) {
        this.playTime = playTime;
    }
    
    /**
     * returns the present world modell of the player, which contains
     * all visible elements. The returning type is an object of <code>Weltmodell</code>.
     * @see Weltmodell
     */
    public Weltmodell getWeltmodell() {
        return myWeltmodell;
    }
    
    // getWeltmodell().getHeardMsg();
    
    /**
     * Event-Loop for <code>Player</code>
     */
    public void run() {
        while (true) {
            String myMsg = servCon.getMsg();
            int msgType = myParser.parseMsg( myMsg );
            switch ( msgType ) {
                case Parser.SEEMSG :
                    
                    //PlayTime setzen
                    setPlayTime(myParser.getTimeStamp());
                    
                    // Weltmodell updaten
                    if ( isInitialized ) myWeltmodell.update( myParser.getRelativObjects(), ( bodyAngle + headAngle ) );
                    
                    //die eigene Position, erhalten vom Weltmodell, setzen
                    myPos = myWeltmodell.getMyPos();
                    
                    //den eigenen Koerperwinkel setzen
                    if ( bc >= 2 ) {
                        bodyAngle = myWeltmodell.getMyAngle() - headAngle; bc = 0;
                    }
                    
                    receivedSeeHead = true;
                    receivedSeeBody = true;

                    // die Client-Ausgaben updaten
                    if ( myClient != null )
                        myClient.updateStats( playTime, myPos, myStamina, bodyAngle, headAngle);
                    
                    bc = 0;
                    
                    break;
                case Parser.BODYMSG :
                    
                    bc = bc + 1;
                    
                    try {
                        //PlayTime setzen
                        playTime = myParser.getTimeStamp();
                        
                        //Stamina setzen
                        myStamina = myParser.getBodyObject().getStamina();
                        
                        // Player updaten und Strategie
                        headAngle = myParser.getBodyObject().getHeadAngle();
                    }
                    catch ( NullPointerException npe ) {
                        System.out.println( "Initial NullPointerException caught! Don't worry! Be Happy!");
                    }
                    
                    
                    // Statts Strategie ein einfaches Drehen bis zur Ohnmacht:
                    // turnBody(10);
                    // turnHead(5);
                    // System.out.println("PLAYER_myPos: ("+myPos.getX()+","+myPos.getY()+")");
                    // System.out.println("PLAYER_BodyAngle: "+bodyAngle);
                    // System.out.println("PLAYER_HeadAngle: "+headAngle);
                    
                    if ( isInitialized ) myStrategy.makeDecision();
                    
                    // die Client-Ausgaben updaten
                    if ( myClient != null && myPos != null )
                        myClient.updateStats( playTime, myPos, myStamina, bodyAngle, headAngle);
                    
                    break;
                case Parser.INITMSG:
                    
                    left2right = myParser.getLeft2right();
                    
                    
                    this.myWeltmodell = new Weltmodell(left2right);
                    
                    // Ist eine Init-Message gekommen begebe ich mich auf Ausgangslage!
                    move( myStartPos.getX(), myStartPos.getY());
                    myPos = new Position( myStartPos.getX(), myStartPos.getY() );
                    ht = 0;
                    bc = 0;
                    receivedSeeBody = false;
                    receivedSeeHead = false;
                    isInitialized = true;
                    break;
                    
                case Parser.REFMSG:
                    // Ist eine Referee-Message gekommen, aendere ich den playMode!
                    setPlayStatus( myParser.getPlayModi());
                    //setOppGoals(Parser.oppScore);
                    //setMyGoals(Parser.myScore);
                    
                    // unteres wieder entfernt wg ungenauigkeiten beim start mit den winkeln...
                    // if ( isInitialized ) myStrategy.makeDecision();
                    
                    break;
                    
                    default:
                        // Irgendein Mist
                        break;
            }
        }
    }
    
    /**
     * sends an init-message for any player except the goalie via <code>ServerConnector</code> to the server.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void init() {
        servCon.sendMsg("(init " + myTeamName + " (version 7.0))");
    }
    
    /**
     * sends the init-message for the goalie via <code>ServerConnector</code> to the server
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void init_goalie() {
        servCon.sendMsg("(init " + myTeamName + " (version 7.0) (goalie))");
    }
    
    /**
     * sends a catch-message via <code>ServerConnector</code> to the server
     * which makes the player (goalie) try to catch the ball.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void catchBall(float direction) {
        servCon.sendMsg("(catch "+ direction+ ")");
    }
    
    /**
     * sends a dash-message via <code>ServerConnector</code> to the server,
     * which makes the player run in the present body direction.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void dash(int power) {
        servCon.sendMsg("(dash "+ power+ ")");
    }
    
    /**
     * sends a kick-message via <code>ServerConnector</code> to the server,
     * which makes the player kick the ball in a certain direction.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void kick(int power, float direction) {
        servCon.sendMsg("(kick "+power+" "+direction+")");
    }
    
    /**
     * sends a move-message via <code>ServerConnector</code> to the server,
     * which moves the player to a certain position on the playing field.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void move(float x, float y) {
        servCon.sendMsg("(move "+ x + " " + y+")");
    }
    
    /**
     * sends a say-message via <code>ServerConnector</code> to the server,
     * which makes the player say a certain message.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * @see Strategy
     * @see ServerConnector
     */
    public void say(String msg) {
        servCon.sendMsg("(say "+msg+")");
    }
    
    
    /**
     * sends a turn_neck-message via <code>ServerConnector</code> to the server,
     * which makes the player turn his neck with a certain angle.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * In addition it increments the head-angle by the specified angle
     * @see Strategy
     * @see ServerConnector
     */
    public void turnHead(float angle) {
        headAngle += angle;
        servCon.sendMsg("(turn_neck "+(angle)+")");
        if (headAngle > 90) headAngle = 90;
        if (headAngle < -90) headAngle = -90;
        receivedSeeHead = false;
    }
    
    /**
     * sends a turn-message via <code>ServerConnector</code> to the server,
     * which makes the player turn his body with a certain angle.
     * this method is being called by the refered subclass of <code>Strategy</code>
     * In addition it increments the body-angle by the specified angle
     * @see Strategy
     * @see ServerConnector
     */
    public void turnBody(float angle) {
        bodyAngle += angle;
        servCon.sendMsg("(turn "+angle+")");
        if (bodyAngle > 180) { bodyAngle = -360 + bodyAngle; }
        if (bodyAngle < -180) { bodyAngle = 360 + bodyAngle; }
        receivedSeeBody = false;
    }
    
    /**
     * sends the (bye)-Message via <code>ServerConnector</code> to the server,
     * which causes the connection between client an server to be shut down.
     * is called when quitting the program
     * @see Strategy
     * @see ServerConnector
     */
    public void bye() {
        servCon.sendMsg("(bye)");
    }
    
    /**
     * connects a Client for updateing the players data in the <code>Client</code>
     *@see Client
     */
    public void connectClient(Client newClient) {
        myClient = newClient;
        if ( myClient != null )
            myClient.updateStats( playTime, myPos, myStamina, bodyAngle, headAngle);
    }
}
