package bitsUnited;

/*
 $Id: Position.java,v 1.3 2002/07/02 23:47:27 ju Exp $
 $Log: Position.java,v $
 Revision 1.3  2002/07/02 23:47:27  ju
 package von robocop in bitsUnited umbenannt; mehr nicht...

 Revision 1.2  2002/06/09 12:21:52  dd
 Fahnenumrechnung in RelativFahne eingebaut

 Revision 1.1  2002/05/29 18:28:34  dd
 Erste Version

*/

/**
 * Simple Class for a Position, consisting of one X and one Y value.
 */
public class Position {

    private float x;
    private float y;

    /**
     * Initializes the Position object with default values: x = 0, y = 0
     */
    public Position() {
	x = 0;
        y = 0;
    }
    /**
     * Initializes the Position object with
     * @param x a float representing the X coordinate of the position
     * @param y a float representing the Y coordinate of the position
     */
    public Position( float x, float y ) {
	this.x = x;
	this.y = y;
    }

    /**
     * Returns the x value of the Position object
     */
    public float getX() {
	return x; 
   }

    /**
     * Returns the y value of the Position object
     */
    public float getY() {
	return y;
    }

    /**
     * Sets the x value of the Position object
     */
    public void setX(float x) {
	this.x = x;
    }

    /**
     * Sets the y value of the Position object
     */
    public void setY(float y) {
	this.y = y;
   }
}
