package bitsUnited;

/*
 $Id: RelativTor.java,v 1.7 2002/07/07 17:22:10 mj Exp $
 $Log: RelativTor.java,v $
 Revision 1.7  2002/07/07 17:22:10  mj
 javadoc-update

 Revision 1.6  2002/07/05 15:13:34  ts
 ..bug-fixing und dokumentation

 Revision 1.5  2002/07/02 23:47:27  ju
 package von robocop in bitsUnited umbenannt; mehr nicht...

 Revision 1.4  2002/06/25 16:52:36  as
 Der Konstruktor ist jetzt brauchbar (ein Parameter fehlte).

 Revision 1.3  2002/06/23 21:40:12  mj
 inzwischen unnoetig gewordenes wegrationalisiert

 Revision 1.2  2002/06/18 14:51:28  mj
 no message

 Revision 1.1  2002/05/29 18:28:34  dd
 Erste Version

 */

/**
 * A relative representation of the goal, the target of the game ;) Is derived from
 * <code>RelativFieldObject</code>.
 * @see RelativFieldObject
 */

public class RelativTor extends RelativFieldObject {

   	/**
	 * Initializes a new RelativTor object
	 * @param distance the distance of the goal relative to the players view
	 * @param angle the angle relative to the players view
	 * @param timestamp the timestamp when the information was received
	 * @param pos position of the goal, there are two the left one and the right one
	 */
    public RelativTor(float distance, float angle, int timestamp, char pos) {

        super(distance,angle,timestamp);
    }

    /**
     * Returns the side on which the goal is placed
     */
    public int getType() {
        return TOR;
    }
}